Saltar al contenido principal
POST
/
fish
/
audios
Fish Audios
curl --request POST \
  --url https://api.acedata.cloud/fish/audios \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "speech",
  "prompt": "a white siamese cat",
  "voice_id": "d7900c21663f485ab63ebdb7e5905036",
  "model": "fish-tts",
  "callback_url": "<string>"
}
'
{
  "data": [
    {
      "prompt": "let this man wear on this T-shirt",
      "image_url": "https://platform.cdn.acedata.cloud/nanobanana/8e9e0253-26f4-45b9-b3f8-ac1aed1c284b.png"
    }
  ],
  "success": true,
  "task_id": "93f11baf-347b-4bb4-9520-8653cb46d6a3",
  "trace_id": "a9063166-26ed-4451-85b5-54e896817c69"
}

Autorizaciones

Authorization
string
header
requerido

Encabezados

accept
enum<string>

Specifies the format of the response from the server. If not specified, the default format is application/json.

Opciones disponibles:
application/json

Cuerpo

application/json
action
enum<string>
requerido

The act of cloning voices.

Opciones disponibles:
speech
Ejemplo:

"speech"

prompt
string
requerido

The input text information for the task of cloning sounds.

Ejemplo:

"a white siamese cat"

voice_id
enum<string>
requerido

When cloning a sound, the voice_id is the basis.

Opciones disponibles:
d7900c21663f485ab63ebdb7e5905036
Ejemplo:

"d7900c21663f485ab63ebdb7e5905036"

model
enum<string>

The model adopted for the task of cloning sounds.

Opciones disponibles:
fish-tts
callback_url
string

The callback URL which will be called when the images is generated, the URL should be accessible from the public internet. If specified, the response will be returned immediately and the result will be sent to the callback URL when it's ready.

Respuesta

OK, the request is successful.

The response is of type object.